%define	name	octave-forge
%define	version	2004.07.07
%define	release	1mdk

%define ipath	%{buildroot}
%define mpath	%{ipath}%{_datadir}/octave/site/m/octave-forge
%define opath	%{ipath}%{_libdir}/octave/site/oct/%{_target_platform}/octave-forge
%define xpath	%{buildroot}%{_bindir}

Summary:	A central location for custom scripts, functions and extensions for GNU Octave
Name:		%{name}
Version:	%{version}
Release:	%{release}
Epoch:		0
License:	Public Domain
Group:		Sciences/Mathematics
Source0:	http://prdownload.sourceforge.net/octave/%{name}-%{version}.tar.bz2
Patch0: 	octave-forge-2004.07.07-gcc34.patch.bz2
URL:		http://octave.sourceforge.net/
BuildRoot:	%{_tmppath}/%{name}-%{version}-buildroot
Requires:	GiNaC
Requires:	octave >= 0:2.1.53
Requires:	libqhull >= 0:2003.1
BuildRequires:	gcc-g77
BuildRequires:	GiNaC-devel
BuildRequires:	octave >= 0:2.1.53
BuildRequires:	liblapack3-devel
BuildRequires:	libqhull-devel >= 0:2003.1
BuildRequires:	texi2html
BuildRequires:	texinfo

%description
The octave-forge package contains the source for all the functions plus
build and install scripts. These are designed to work with the latest
development version of Octave (available from
http://www.octave.org/download.html), but most functions will work on
earlier versions of Octave including 2.0.x versions.

%package devel
Summary:	C header files for %{name}
Group:		Development/C
Requires:	%{name} = %{epoch}:%{version}-%{release}

%description devel
C header files for %{name}.

%prep
%setup -q
%patch0 -p0

%build
%configure \
	--with-path=%{ipath} \
	--with-mpath=%{mpath} \
	--with-opath=%{opath} \
	--with-xpath=%{xpath}
%make

%install
rm -rf $RPM_BUILD_ROOT
%makeinstall

rm -f $RPM_BUILD_ROOT%{_bindir}/rasmol.sh

pushd %{opath}
strip --strip-unneeded *.oct
popd

install -d -m 755 $RPM_BUILD_ROOT%{_includedir}/%{name}
mv %{opath}/*.h $RPM_BUILD_ROOT%{_includedir}/%{name}

%clean
rm -rf $RPM_BUILD_ROOT

%files
%defattr(0644,root,root,755)
%doc AUTHORS ChangeLog COPYING COPYING.BSD COPYING.GPL INSTALL INSTALL.MacOSX INSTALL.WINDOWS README RELEASE-NOTES TODO
%attr(0755,root,root) %{_bindir}/*
%{_datadir}/octave
%{_libdir}/octave
%{_mandir}/*/*

%files devel
%defattr(0644,root,root,755)
%{_includedir}/%{name}

%changelog
* Tue Jul 27 2004 Thierry Vignaud <tvignaud@mandrakesoft.com> 2004.07.07-1mdk
- new release
- fix buildrequires
- fix download url
- patch 0: fix compiling with new g++

* Tue Feb 24 2004 Olivier Thauvin <thauvin@aerov.jussieu.fr> 0:2004.02.12-2mdk
- Own dirs

* Fri Feb 13 2004 David Walluck <walluck@linux-mandrake.com> 0:2004.02.12-1mdk
- 2004.02.04
- fix Source0 URL
- use `strip' instead of %%__strip
- use %%{_target_cpu} instead of i586

* Wed Oct 01 2003 David Walluck <walluck@linux-mandrake.com> 0:2003.06.02-1mdk
- release
